

nozzle_angles = [70, 75, 80, 85, 90, 95, 100, 105,110, 115, 120];
[sz1,sz2] = size(nozzle_angles);

hit_rates = [];

for i = 1:sz2
    hit_rate = Modell_main( nozzle_angles(i));
    hit_rates = [ hit_rates, hit_rate]; 
    strmin = ['Hit rate = ',num2str(hit_rate), '%, for nozzle angle of ', num2str( nozzle_angles(i) ), ' degrees' ];
    disp(strmin)
end 

str_headline = ['Hit Rates, ', ]

figure
hold on
grid on 
xlabel('Nozzle Angle [deg]', 'FontSize', 14)
ylabel('Hit Rate [%]', 'FontSize', 14)
plot( nozzle_angles, hit_rates )
hold off
