function[ v_w ] = wind_configuration( v, alpha, beta)

alpha_r = (alpha / 360) * 2*pi;
beta_r = (beta / 360) * 2*pi;

v_xy = v * cos( alpha_r );
v_x = v_xy * cos( beta_r );
v_y = v_xy * sin( beta_r );
v_z = v * sin( alpha_r );

v_w  = [v_x, v_y, v_z];
end